.App {
  text-align: center;
}

.App-header {
  background-color:#f0efef;
  height: 100px;
  padding: 10px;
  margin: 10px;
  color: #5f5f5f;
}

.App-title {
  text-transform: uppercase;
  font-size: 1.5em;
}

.App-intro {
  font-size: large;
}

.gallery-container{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-column-gap: 50px;
  padding: 50px;

}

.image{
  display: flex;
  margin-top: 20px;
  transition: transform 0.4s ease-in-out;
  
}

.image:hover {
  transform: scale(1.05);
}


.image-info{
  display: block;
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  text-align: center;
  margin-top: -30px;
  z-index: 2;
  line-height: 50px;
}

.image-info--name{
  padding: 0.5em 0.5em;
  opacity: 0.4;
  display: inline-block;
  border-radius: 10px;
  background-color: white;
}

i.fa {
  display: inline-block;
  border-radius: 60px;
  box-shadow: 0px 0px 2px #888;
  padding: 0.5em 0.6em;
  background-color: white;
  opacity: 0.4;

}

.image-overlay{
  left: 0;
  outline: 0 solid transparent;
  position: absolute;
  top: 0;
  bottom: 100%;
  z-index: 1;
  right: 0;
  -webkit-transition: all 1.3s ease-in-out;
  -moz-transition: all 1.3s ease-in-out;
  -ms-transition: all 1.3s ease-in-out;
  -o-transition: all 1.3s ease-in-out;
  transition: all 1.3s ease-in-out;
  background: rgba(0, 136, 204, 0.6);
}
